Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionButton.ButtonFeature

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionButton.ButtonFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionButton

    public static final class QStyleOptionButton.ButtonFeature

extends java.lang.Enum
implements QtEnumerator

This enum describes the different types of features a push button can have.

See also:
  features.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionButton.ButtonFeature` | `AutoDefaultButton` Indicates that the button is an auto default button.
`static QStyleOptionButton.ButtonFeature` | `CommandLinkButton` Indicates that the button is a Windows Vista type command link.
`static QStyleOptionButton.ButtonFeature` | `DefaultButton` Indicates that the button is a default button.
`static QStyleOptionButton.ButtonFeature` | `Flat` Indicates a flat push button.
`static QStyleOptionButton.ButtonFeature` | `HasMenu` Indicates that the button has a drop down menu.
`static QStyleOptionButton.ButtonFeature` | `None` Indicates a normal push button.

Method Summary
`static QStyleOptionButton.ButtonFeatures` | `createQFlags(QStyleOptionButton.ButtonFeature[] values)` This function creates a com.trolltech.qt.gui.QStyleOptionButton$ButtonFeatures with the specified `com.trolltech.qt.gui.QStyleOptionButton$ButtonFeature[]` ButtonFeature values set.
`static QStyleOptionButton.ButtonFeature` | `resolve(int value)` Returns the ButtonFeature constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionButton.ButtonFeature` | `valueOf(java.lang.String name)`
`static QStyleOptionButton.ButtonFeature[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QStyleOptionButton.ButtonFeature None

  Indicates a normal push button.

### Flat

    public static final QStyleOptionButton.ButtonFeature Flat

  Indicates a flat push button.

### HasMenu

    public static final QStyleOptionButton.ButtonFeature HasMenu

  Indicates that the button has a drop down menu.

### DefaultButton

    public static final QStyleOptionButton.ButtonFeature DefaultButton

  Indicates that the button is a default button.

### AutoDefaultButton

    public static final QStyleOptionButton.ButtonFeature AutoDefaultButton

  Indicates that the button is an auto default button.

### CommandLinkButton

    public static final QStyleOptionButton.ButtonFeature CommandLinkButton

  Indicates that the button is a Windows Vista type command link.

Method Detail

### values

    public static QStyleOptionButton.ButtonFeature[] values()

### valueOf

    public static QStyleOptionButton.ButtonFeature valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionButton.ButtonFeatures createQFlags(QStyleOptionButton.ButtonFeature[] values)

  This function creates a com.trolltech.qt.gui.QStyleOptionButton$ButtonFeatures with the specified `com.trolltech.qt.gui.QStyleOptionButton$ButtonFeature[]` ButtonFeature values set.

### resolve

    public static QStyleOptionButton.ButtonFeature resolve(int value)

  Returns the ButtonFeature constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD